OpenJPH: ojph::param_coc Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::param_coc Class Reference

`#include <ojph_params.h>`

## Public Member Functions
| param_coc (local::param_cod *p)
void | set_num_decomposition (ui32 num_decompositions)
void | set_block_dims (ui32 width, ui32 height)
void | set_precinct_size (int num_levels, size *precinct_size)
void | set_reversible (bool reversible)
ui32 | get_num_decompositions () const
size | get_block_dims () const
size | get_log_block_dims () const
bool | is_reversible () const
size | get_precinct_size (ui32 level_num) const
size | get_log_precinct_size (ui32 level_num) const
bool | get_block_vertical_causality () const

## Private Attributes
local::param_cod * | state

## Detailed Description

Definition at line 135 of file ojph_params.h.

## Constructor & Destructor Documentation

## ◆ param_coc()

ojph::param_coc::param_coc | ( | local::param_cod * | p | ) |
| inline

Definition at line 138 of file ojph_params.h.

References state.

## Member Function Documentation

## ◆ get_block_dims()

size ojph::param_coc::get_block_dims | ( |  | ) | const

Definition at line 382 of file ojph_params.cpp.

References ojph::param_cod::get_block_dims(), and state.

## ◆ get_block_vertical_causality()

bool ojph::param_coc::get_block_vertical_causality | ( |  | ) | const

Definition at line 402 of file ojph_params.cpp.

References ojph::param_cod::get_block_vertical_causality(), and state.

## ◆ get_log_block_dims()

size ojph::param_coc::get_log_block_dims | ( |  | ) | const

Definition at line 386 of file ojph_params.cpp.

References ojph::param_cod::get_log_block_dims(), and state.

## ◆ get_log_precinct_size()

size ojph::param_coc::get_log_precinct_size | ( | ui32 | level_num | ) | const

Definition at line 398 of file ojph_params.cpp.

References ojph::param_cod::get_log_precinct_size(), and state.

## ◆ get_num_decompositions()

ui32 ojph::param_coc::get_num_decompositions | ( |  | ) | const

Definition at line 378 of file ojph_params.cpp.

References ojph::param_cod::get_num_decompositions(), and state.

## ◆ get_precinct_size()

size ojph::param_coc::get_precinct_size | ( | ui32 | level_num | ) | const

Definition at line 394 of file ojph_params.cpp.

References ojph::param_cod::get_precinct_size(), and state.

## ◆ is_reversible()

bool ojph::param_coc::is_reversible | ( |  | ) | const

Definition at line 390 of file ojph_params.cpp.

References ojph::param_cod::is_reversible(), and state.

## ◆ set_block_dims()

void ojph::param_coc::set_block_dims | ( | ui32 | width,
|  | ui32 | height )

Definition at line 366 of file ojph_params.cpp.

References ojph::param_cod::set_block_dims(), and state.

## ◆ set_num_decomposition()

void ojph::param_coc::set_num_decomposition | ( | ui32 | num_decompositions | ) |

Definition at line 362 of file ojph_params.cpp.

References ojph::param_cod::set_num_decomposition(), and state.

## ◆ set_precinct_size()

void ojph::param_coc::set_precinct_size | ( | int | num_levels,
|  | size * | precinct_size )

Definition at line 370 of file ojph_params.cpp.

References ojph::param_cod::set_precinct_size(), and state.

## ◆ set_reversible()

void ojph::param_coc::set_reversible | ( | bool | reversible | ) |

Definition at line 374 of file ojph_params.cpp.

References ojph::param_cod::set_reversible(), and state.

## Member Data Documentation

## ◆ state

local::param_cod* ojph::param_coc::state
| private

Definition at line 154 of file ojph_params.h.

Referenced by get_block_dims(), get_block_vertical_causality(), get_log_block_dims(), get_log_precinct_size(), get_num_decompositions(), get_precinct_size(), is_reversible(), param_coc(), set_block_dims(), set_num_decomposition(), set_precinct_size(), and set_reversible().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_params.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp